Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Elementhaufen durch Blöcke ersetzen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Elementhaufen durch Blöcke ersetzen (375 mal gelesen)
Peter2
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Peter2 an!   Senden Sie eine Private Message an Peter2  Schreiben Sie einen Gästebucheintrag für Peter2

Beiträge: 3299
Registriert: 15.10.2003

Win 10/64 Pro
AutoCAD MAP 3D 2018

erstellt am: 19. Nov. 2004 19:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Durch Datenmigrationen haben wir viele DWGs, die eine Anhäufung von Objekten sind und nicht lustig zu bearbeiten sind und auch gewaltig viel Speicher fressen (klassische "Philosophie der Stiftplotter):

- "gefüllte Kreisflächen" bestehen aus mehreren verschieden grossen Kreise
- "gefüllte Flächen" bestehen aus einer umhüllenden Polylinie und 50 einzelnen Strichen darin
- grosse, einzelne Buchstaben bestehen aus nebeneinander liegenden Polylinien, die halt wie eine "6" oder ein "B" geformt sind

Ich mache mir zwar nicht grosse Hoffnungen, aber gibt es ein Programm (oder Ideen), wie man diese Haufen durch Blöcke ersetzen kann?

Schönes Wochenende

Peter

------------------
Für jedes Problem gibt es eine einfache Lösung.
Die ist aber meistens falsch. ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tunnelbauer
Ehrenmitglied V.I.P. h.c.
Bauingenieur



Sehen Sie sich das Profil von tunnelbauer an!   Senden Sie eine Private Message an tunnelbauer  Schreiben Sie einen Gästebucheintrag für tunnelbauer

Beiträge: 7085
Registriert: 13.01.2004

Sie nannten ihn google.

erstellt am: 19. Nov. 2004 20:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

Hallo Peter,

entweder verstehe ich jetzt was nicht, oder deine Formulierung ist nicht eindeutig... *grübel*

Wenn du wirklich Blöcke machen willst, würde ich dir den Befehl Block nahe legen, das kann jetzt aber irgendwie nicht dein Problem gewesen sein, oder doch ?

Was ich vermute ist ja, dass du aus diesen Pseudo-Schraffuren echte Solid-Schraffuren erstellen willst !? Ist es das was du vor hast ?

------------------
Grüsse

Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 19. Nov. 2004 20:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

"gefüllte Kreisflächen" sollt nicht allzuschwer sein .. auswahlsatz aller kreise ... den sortieren in Grüppchen, die den gleichen GC10 haben -> Block draus, oder größten Kreis nehmen und schraffieren

"Polyline+Linien" : z.B. alle Linien, deren Endpunkte auf der gleichen Polylinie liegen zusammenfassen (vlax-curve-Funktionen...)
evtl. noch gucken , ob alle die gleiche Steigung haben (Y2-y1)/(x2-x1) GC10+GC11
-> ich glaube, da findest du unter www.defun.de evtl. was

------------------
- Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Ehrenmitglied V.I.P. h.c.
CAD on demand GmbH



Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4131
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools

erstellt am: 21. Nov. 2004 20:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

Hallo Peter,

ich beschäftige mich seit 2 Jahren mit dieser Problematik. Nicht durchgängig, klar, aber verschiedene Ansätze für dieses Problem habe ich bereits mit einem (je nach Anspruch) befriedigenden Ergebnis bereits programmiert.
Ich würde mich freuen, wenn du mir mal 2 Zeichnungen als Testobjekt zur Verfügung stellst. Je nachdem wie die Ergebisse sind, sende ich dir diese auch 'geblockt' zurück.

Grüße Holger

------------------
Holger Brischke
(defun - Lisp over night!
AutoLISP-Programmierung für AutoCAD
Da weiß man, wann man's hat!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Peter2
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Peter2 an!   Senden Sie eine Private Message an Peter2  Schreiben Sie einen Gästebucheintrag für Peter2

Beiträge: 3299
Registriert: 15.10.2003

Win 10/64 Pro
AutoCAD MAP 3D 2018

erstellt am: 22. Nov. 2004 20:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von tunnelbauer:
Was ich vermute ist ja, dass du aus diesen Pseudo-Schraffuren echte Solid-Schraffuren erstellen willst !? Ist es das was du vor hast ?

Ja. Wobei Schraffuren nicht das einzige, aber sicherlich das wichtigste Problem sind. Es betrifft auch Elemente ohne Pseudo-Schraffuren.

Zitat:
Original erstellt von cadmium:
"gefüllte Kreisflächen" sollt nicht allzuschwer sein .. auswahlsatz aller kreise ... den sortieren in Grüppchen, die den gleichen GC10 haben -> Block draus, oder größten Kreis nehmen und schraffieren

Guter Vorschlag. Werde ich verfolgen.

Zitat:
Original erstellt von Brischke:

Ich würde mich freuen, wenn du mir mal 2 Zeichnungen als Testobjekt zur Verfügung stellst. Je nachdem wie die Ergebisse sind, sende ich dir diese auch 'geblockt' zurück.

Mach ich.

Peter

------------------
Für jedes Problem gibt es eine einfache Lösung.
Die ist aber meistens falsch. ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz